Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063392 - tigervnc cannot build against xorg-x11-server-source
Summary: tigervnc cannot build against xorg-x11-server-source
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tigervnc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 955206 F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-02-10 15:43 UTC by Tim Waugh
Modified: 2014-04-07 10:45 UTC (History)
5 users (show)

Fixed In Version: tigervnc-1.3.0-15.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1323065 (view as bug list)
Environment:
Last Closed: 2014-03-19 17:27:28 UTC


Attachments (Terms of Use)
build.log (deleted)
2014-02-10 15:43 UTC, Tim Waugh
no flags Details
fix build for dri3 and present (deleted)
2014-04-06 18:01 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Tim Waugh 2014-02-10 15:43:55 UTC
Created attachment 861453 [details]
build.log

Description of problem:
When building tigervnc in rawhide I get this:

Xvnc-miinitext.o:(.data.rel+0x1c8): undefined reference to `dri3_extension_init'
collect2: error: ld returned 1 exit status

Version-Release number of selected component (if applicable):
xorg-x11-server-source-1.15.0-3.fc21

Works fine when building in f20 against xorg-x11-server-source-1.14.4-6.fc20.

Comment 1 Tim Waugh 2014-03-17 16:58:04 UTC
I'm still seeing this.

Comment 2 Tim Waugh 2014-03-19 11:58:48 UTC
Not sure why this would block bug #1051573 specifically. I'm seeing this failure on x86_64.

Comment 3 Tim Waugh 2014-03-19 17:27:28 UTC
Fixed by disabling dri3 in the configure line.

Comment 4 Yaakov Selkowitz 2014-04-06 18:01:57 UTC
Created attachment 883345 [details]
fix build for dri3 and present

The attached patch for rawhide should allow the build to succeed with DRI3 and Present enabled.

Comment 5 Tim Waugh 2014-04-07 10:45:30 UTC
Thanks! Built in tigervnc-1.3.1-2.fc21.


Note You need to log in before you can comment on or make changes to this bug.